%define name	ksalup
%define version	1.2.4
%define rel     3
%define release	%mkrel %rel
%define title   KSalup
%define section Networking/Instant messaging
%define summary 	Local area network (LAN) messaging tool


Name: 		%{name} 
Summary: 	%{summary}
Version: 	%{version} 
Release: 	%{release} 
License: 	GPL
Group: 		%{section}
Url: 		http://sourceforge.net/projects/ksalup
Source0: 	http://prdownloads.sourceforge.net/ksalup/%{name}-%{version}.tar.bz2
Source1:	%{name}.16.png.bz2
Source2:        %{name}.32.png.bz2
Source3:        %{name}.48.png.bz2
Buildroot: 	%_tmppath/%name-buildroot
BuildRequires: 	kdelibs-devel libfam-devel libpng-devel
Buildrequires:	libqt-devel


%description
KSalup allows Linux users to receive and send popup messages to other
computers on a local area network (LAN).
KSalup is compatible with many other programs such as Microsoft Winpopup,
Kurupop, LanTalk, Linpopup, Pipop, Salup, ...
KSalup has multilingual support and is compatible with existing characters
encodings (7 bit ASCII, UTF-8, Microsoft codepages, ...).
KSalup runs under KDE 3.x and can send messages from a shell command line.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir --libdir=%_libdir
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Networking/Instant messaging"  %buildroot/%_datadir/applnk/Utilities/ksalup.desktop %buildroot/%_menudir/%{name} 

#icons 
mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README TODO COPYING ChangeLog

%dir %_docdir/HTML/fr/%{name}/
%doc %_docdir/HTML/fr/%{name}/*.docbook
%doc %_docdir/HTML/fr/%{name}/*.bz2
%doc %_docdir/HTML/fr/%{name}/common
%doc %_docdir/HTML/fr/%{name}/%{name}*.png

%dir %_docdir/HTML/en/%{name}/
%doc %_docdir/HTML/en/%{name}/*.docbook
%doc %_docdir/HTML/en/%{name}/*.bz2
%doc %_docdir/HTML/en/%{name}/common
%doc %_docdir/HTML/en/%{name}/%{name}*.png

%defattr(0644,root,root,0755)
%_menudir/*

%dir %_datadir/apps/%{name}/
%dir %_datadir/apps/%{name}/pics/
%_datadir/apps/%{name}/pics/*.png
%dir %_datadir/apps/%{name}/charsets/
%_datadir/apps/%{name}/charsets/*.cp
%_datadir/applnk/Utilities/ksalup.desktop

%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png
%_iconsdir/hicolor/*/*

%attr(4755,root,bin)	%{_bindir}/%{name}


%changelog
* Thu Jul 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.4-3mdv2007.0
- Rebuild for new menu && extension
- Use macro for icons

* Mon Apr 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.4-2mdk
- Fix build for amd64

* Tue Feb 08 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Wed Jun 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-3mdk
- rebuild
- patch0: add missing includes

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0 -2mdk 
- Rebuild

* Tue Sep 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.9-2mdk 
- Rebuild

* Sun May 4 2003 Aurelien Bompard <gauret@free.fr> 1.0.9-1mdk
- 1.0.9
- Fix typo in email address (it's gauret@ and not goret@)
- Update URL

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-2mdk
- buildrequires

* Wed Mar 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- from Aurelien Bompard <gauret@free.fr> :
	- Added libfam0-devel to buildrequires.
	- More mdk-rpm compliance

* Mon Feb 10 2003 Aurelien Bompard <gauret@netcourrier.com> 1.0.9-3mdk
- Spec file corresponds to the mdk-rpm howto.

* Wed Jan 29 2003 Gauret <gauret@netcourrier.com> 1.0.9-2mdk
- Premier package pour Mandrake.
- Le package est sign avec GPG.
